<nav class="nav">
  <app-logo></app-logo>
  <div class="desktop">
    <app-nav-links></app-nav-links>
  </div>
  <svg
    (click)="menuIsOpen = !menuIsOpen"
    class="icon-hamburger"
    width="24"
    height="16"
    xmlns="http://www.w3.org/2000/svg"
  >
    <g fill="#FFF" fill-rule="evenodd">
      <path d="M0 0h24v2H0zM0 7h24v2H0zM0 14h24v2H0z" />
    </g>
  </svg>
  <div
    class="menu"
    [ngClass]="{
      'open-menu': menuIsOpen,
      'close-menu': menuIsOpen !== null && !menuIsOpen
    }"
  >
    <div class="header">
      <app-logo></app-logo>
      <svg
        (click)="menuIsOpen = !menuIsOpen"
        class="icon-close"
        width="20"
        height="20"
        xmlns="http://www.w3.org/2000/svg"
      >
        <path
          d="M17.778.808l1.414 1.414L11.414 10l7.778 7.778-1.414 1.414L10 11.414l-7.778 7.778-1.414-1.414L8.586 10 .808 2.222 2.222.808 10 8.586 17.778.808z"
          fill="#FFF"
          fill-rule="evenodd"
        />
      </svg>
    </div>
    <app-nav-links class="nav-links" gap="1.6rem"></app-nav-links>
  </div>
</nav>
